lamrg(3)

NAME
lamrg - lamrg: permutation to merge 2 sorted lists

SYNOPSIS

  Functions

subroutine dlamrg (n1, n2, a, dtrd1, dtrd2, index)
DLAMRG creates a permutation list to merge the entries of two independently sorted sets into a single set sorted in ascending order.
subroutine slamrg (n1, n2, a, strd1, strd2, index)
SLAMRG creates a permutation list to merge the entries of two independently sorted sets into a single set sorted in ascending order.

Detailed Description

Function Documentation

  subroutine dlamrg (integer n1, integer n2, double precision, dimension( * ) a, integer dtrd1, integer dtrd2, integer, dimension( * ) index)

DLAMRG creates a permutation list to merge the entries of two independently sorted sets into a single set sorted in ascending order.

Purpose:

    !>
    !> DLAMRG will create a permutation list which will merge the elements
    !> of A (which is composed of two independently sorted sets) into a
    !> single set which is sorted in ascending order.
    !>

Parameters
    N1

    !>          N1 is INTEGER
    !>

    N2

    !>          N2 is INTEGER
    !>         These arguments contain the respective lengths of the two
    !>         sorted lists to be merged.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (N1+N2)
    !>         The first N1 elements of A contain a list of numbers which
    !>         are sorted in either ascending or descending order.  Likewise
    !>         for the final N2 elements.
    !>

    DTRD1

    !>          DTRD1 is INTEGER
    !>

    DTRD2

    !>          DTRD2 is INTEGER
    !>         These are the strides to be taken through the array A.
    !>         Allowable strides are 1 and -1.  They indicate whether a
    !>         subset of A is sorted in ascending (DTRDx = 1) or descending
    !>         (DTRDx = -1) order.
    !>

    INDEX

    !>          INDEX is INTEGER array, dimension (N1+N2)
    !>         On exit this array will contain a permutation such that
    !>         if B( I ) = A( INDEX( I ) ) for I=1,N1+N2, then B will be
    !>         sorted in ascending order.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine slamrg (integer n1, integer n2, real, dimension( * ) a, integer strd1, integer strd2, integer, dimension( * ) index)

SLAMRG creates a permutation list to merge the entries of two independently sorted sets into a single set sorted in ascending order.

Purpose:

    !>
    !> SLAMRG will create a permutation list which will merge the elements
    !> of A (which is composed of two independently sorted sets) into a
    !> single set which is sorted in ascending order.
    !>

Parameters
    N1

    !>          N1 is INTEGER
    !>

    N2

    !>          N2 is INTEGER
    !>         These arguments contain the respective lengths of the two
    !>         sorted lists to be merged.
    !>

    A

    !>          A is REAL array, dimension (N1+N2)
    !>         The first N1 elements of A contain a list of numbers which
    !>         are sorted in either ascending or descending order.  Likewise
    !>         for the final N2 elements.
    !>

    STRD1

    !>          STRD1 is INTEGER
    !>

    STRD2

    !>          STRD2 is INTEGER
    !>         These are the strides to be taken through the array A.
    !>         Allowable strides are 1 and -1.  They indicate whether a
    !>         subset of A is sorted in ascending (STRDx = 1) or descending
    !>         (STRDx = -1) order.
    !>

    INDEX

    !>          INDEX is INTEGER array, dimension (N1+N2)
    !>         On exit this array will contain a permutation such that
    !>         if B( I ) = A( INDEX( I ) ) for I=1,N1+N2, then B will be
    !>         sorted in ascending order.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.